function xyz = llh2xyz(llh)
%xyz = llh2xyz(llh)

deg2rad = pi/180;
a = 6378137;
f = 1/298.257223563;
e2 = 2*f - f*f;

[junk num] = size(llh);

for i = 1:num,
   clat = cos(llh(1,i)*deg2rad);
   slat = sin(llh(1,i)*deg2rad);
   clon = cos(llh(2,i)*deg2rad);
   slon = sin(llh(2,i)*deg2rad);

%   Transform from lat, lon, h to x, y, z

   n = a/sqrt((1 - e2*slat^2));

%     ... Compute x, y, z

   xyz(1,i) = (n + llh(3,i))*clat*clon;
   xyz(2,i) = (n + llh(3,i))*clat*slon;
   xyz(3,i) = (n*(1 - e2) + llh(3,i))*slat;
end
