function [los] = calc_mogi(x0,y0,originx,originy,depth,dV,s_uv1,s_uv2,s_uv3);

%depth		depth of source, m
%dV 		delta volume, m^3
%x,y		calculation points, m
%C		strength of source

x = x0-originx;
y = y0-originy;


C = 3/(4*pi)*dV;

[th,r]= cart2pol(x,y);

denom = (depth^2+r.^2).^(3/2);
dr = C .* r ./ denom;           %horizontal displacement, m
dz = C .* depth ./ denom;       %vertical displacement, m

[dx,dy] = pol2cart(th,dr);

los = [ dx.*s_uv1+dy.*s_uv2+dz.*s_uv3];
