load hualca

% Fix for your X,Y value from "find_mogi.m"
originx = 0e3; %values in meters
originy = 0e3; % values in meters


look     = 23*pi/180;
heading  = (-167+90)*pi/180;

s_uv1    = [sin(heading).*sin(look)].*ones(size(x));  
s_uv2    = [cos(heading).*sin(look)].*ones(size(x));
s_uv3    = [ -cos(look)].*ones(size(x));

good     = find(isnan(hualca) ==0);

%Possible depths and volume changes
nd       = 20; %number of depths
nV       = 22; %number of volume changes
depths   = linspace(5e3,25e3,nd);
dVs      = logspace(6,9,nV);


for i=1:nd
    for j=1:nV
        depth    = depths(i);
        dV       = dVs(j);
        los      = calc_mogi(x,y,originx,originy,depth,dV,s_uv1,s_uv2,s_uv3);
        misfit(i,j) = std(hualca(good)+los(good));
    end
end

[besti,bestj]=find(misfit==min(misfit(:)));

figure
pcolor(dVs,depths/1e3,misfit)
hold on
plot(dVs(bestj),depths(besti)/1e3,'wo','markerfacecolor','w')
xlabel('Volume Changes (cubic meters)')
ylabel('Depth (km)')
set(gca,'xscale','log')
colormap('jet')
colorbar
caxis([min(misfit(:)),min(misfit(:))+std(misfit(:))]) %this just tightens up the colorbar a bit.
shading interp
title(['Best fit depth= ', num2str(depths(besti)/1e3), '(km)  Best fit dV=', num2str(dVs(bestj)/1e6), '(10^6 m^3)'])
